# Recuperateur_route_ville

## Introduction 
Ce projet à pour but d’analyser les réseaux viaires des villes. L’analyse doit être faite à l’aide de machine learning 
qui utilisera les données récoltées sur openstreetmap par l’intermédiaire de OSMnx. 

Cette analyse permettra de définir :
- si un graph est la représentation d'un réseau viaire d'une ville
- agrandir le réseau viaire d'une ville en suivant sa logique actuel
- créer des réseaux viaires de villes en appréhendant les différences entre les pays. En effet, les villes des différents 
pays n'ont peut-être pas les mêmes définitons de ce qu'est une ville 

## Les outils utilisés

- [OSMnx](https://github.com/gboeing/osmnx) 
Boeing, G. 2017. OSMnx: New Methods for Acquiring, Constructing, Analyzing, and Visualizing Complex Street Networks. 
Computers, Environment and Urban Systems 65, 126-139. doi:10.1016/j.compenvurbsys.2017.05.004
- [OpenStreetMap](https://www.openstreetmap.org/)
- [overpass](https://overpass-turbo.eu/)
- [django](https://www.djangoproject.com/)



